editors/vim-xaw - The NetBSD Packages Collection

Vim editor (vi clone) with X11 Athena GUI

Vim is an almost compatible version of the UNIX editor Vi.  Many new features
have been added: multi level undo, syntax highlighting, command line history,
on-line help, filename completion, block operations, etc.  There is also a
Graphical User Interface (GUI) available.  See doc/vi_diff.txt.

If you are building the package from source you may want to enable some
features such as a perl or python interpreter which are not enabled by
default.

This version also contains a X11 Athena GUI. Use the variable XAW_TYPE
to select between the `flat' and 3d widget set. If you don't have X11,
look at the `vim' package instead.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers

Runtime dependencies

editors/vim-share

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvim-xaw-8.2.3172.tgz
NetBSD 8.0i386vim-xaw-8.2.4214nb1.tgz
NetBSD 8.0i386vim-xaw-8.2.2557.tgz
NetBSD 8.0i386vim-xaw-8.2.2800.tgz
NetBSD 8.0i386vim-xaw-8.2.4214nb1.tgz
NetBSD 8.0powerpcvim-xaw-8.2.2800.tgz
NetBSD 8.0powerpcvim-xaw-8.2.3172.tgz
NetBSD 8.0powerpcvim-xaw-8.2.3172nb1.tgz
NetBSD 8.0powerpcvim-xaw-8.2.3172nb1.tgz
NetBSD 8.0x86_64vim-xaw-8.2.2557.tgz
NetBSD 8.0x86_64vim-xaw-8.2.2800.tgz
NetBSD 8.0x86_64vim-xaw-8.2.4214nb1.tgz
NetBSD 9.0aarch64vim-xaw-8.2.4214nb1.tgz
NetBSD 9.0aarch64vim-xaw-8.2.3172.tgz
NetBSD 9.0aarch64vim-xaw-8.2.3172nb1.tgz
NetBSD 9.0alphavim-xaw-8.2.3172nb1.tgz
NetBSD 9.0alphavim-xaw-8.2.3172.tgz
NetBSD 9.0alphavim-xaw-8.2.4214nb1.tgz
NetBSD 9.0earmv6hfvim-xaw-8.2.3172.tgz
NetBSD 9.0earmv6hfvim-xaw-8.2.3172nb1.tgz
NetBSD 9.0earmv6hfvim-xaw-8.2.4214nb1.tgz
NetBSD 9.0earmv7hfvim-xaw-8.2.3172.tgz
NetBSD 9.0earmv7hfvim-xaw-8.2.3172.tgz
NetBSD 9.0earmv7hfvim-xaw-8.2.3172nb1.tgz
NetBSD 9.0earmv7hfvim-xaw-8.2.4214nb1.tgz
NetBSD 9.0i386vim-xaw-8.2.3172nb1.tgz
NetBSD 9.0i386vim-xaw-8.2.3172.tgz
NetBSD 9.0i386vim-xaw-8.2.4214nb1.tgz
NetBSD 9.0mips64ebvim-xaw-8.2.3172nb1.tgz
NetBSD 9.0mips64ebvim-xaw-8.2.3172.tgz
NetBSD 9.0powerpcvim-xaw-8.2.3172nb1.tgz
NetBSD 9.0powerpcvim-xaw-8.2.2800.tgz
NetBSD 9.0powerpcvim-xaw-8.2.3172.tgz
NetBSD 9.0powerpcvim-xaw-8.2.2800.tgz
NetBSD 9.0powerpcvim-xaw-8.2.3172.tgz
NetBSD 9.0powerpcvim-xaw-8.2.3172nb1.tgz
NetBSD 9.0sparc64vim-xaw-8.2.3172nb1.tgz
NetBSD 9.0sparc64vim-xaw-8.2.3172.tgz
NetBSD 9.0sparc64vim-xaw-8.2.4214nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.4721nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.4721nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.4214nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.3172.tgz
NetBSD 9.0x86_64vim-xaw-8.2.3172nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.3172nb1.tgz
NetBSD 9.0x86_64vim-xaw-8.2.4721nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

lua
Enable Lua support.
luajit
Enable LuaJIT support.
perl
Enable Perl support.
python
Enable Python support.
ruby
Enable Ruby support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.